<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.DealerMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.DealerDO">
		<result property="dealerId" column="dealer_id"/>
		<result property="shortName" column="short_name"/>
		<result property="fullName" column="full_name"/>
		<result property="dealerType" column="dealer_type"/>
		<result property="enableShare" column="enable_share"/>
		<result property="shareRatio" column="share_ratio"/>
		<result property="freightCostFlag" column="freight_cost_flag"/>
		<result property="strawMatCostFlag" column="straw_mat_cost_flag"/>
		<result property="includePackingFlag" column="include_packing_flag"/>
		<result property="enableAccrualTax" column="enable_accrual_tax"/>
		<result property="accrualTaxRatio" column="accrual_tax_ratio"/>
		<result property="enableCompanyRebate" column="enable_company_rebate"/>
		<result property="companyRebateRatio" column="company_rebate_ratio"/>
		<result property="documentTypes" column="document_types"/>
		<result property="receivable" column="receivable"/>
		<result property="remark" column="remark"/>
		<result property="status" column="status"/>
		<result property="deliveryTemplate" column="delivery_template"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>

